Loading...
Searching...
No Matches
SmithWaterman< maxReadLengthH, maxReferenceLengthH, HCellType, Atype, Btype, QualityType, readIndexType, referenceIndexType >::weight Struct Reference

## Public Attributes

int | match
int | misMatch
int | insert
int | del

## Detailed Description

template<int maxReadLengthH, int maxReferenceLengthH, typename HCellType, typename Atype, typename Btype, typename QualityType, typename readIndexType, typename referenceIndexType>
struct SmithWaterman< maxReadLengthH, maxReferenceLengthH, HCellType, Atype, Btype, QualityType, readIndexType, referenceIndexType >::weight

Definition at line 139 of file SmithWaterman.h.

## Constructor & Destructor Documentation

## weight()

template<int maxReadLengthH, int maxReferenceLengthH, typename HCellType , typename Atype , typename Btype , typename QualityType , typename readIndexType , typename referenceIndexType >

SmithWaterman< maxReadLengthH, maxReferenceLengthH, HCellType, Atype, Btype, QualityType, readIndexType, referenceIndexType >::weight::weight | ( |  | ) |

inline

Definition at line 141 of file SmithWaterman.h.

{
match=2;
misMatch=-1;
insert=-1;
del=-1;
};

## Member Data Documentation

## del

template<int maxReadLengthH, int maxReferenceLengthH, typename HCellType , typename Atype , typename Btype , typename QualityType , typename readIndexType , typename referenceIndexType >

int SmithWaterman< maxReadLengthH, maxReferenceLengthH, HCellType, Atype, Btype, QualityType, readIndexType, referenceIndexType >::weight::del

Definition at line 152 of file SmithWaterman.h.

## insert

template<int maxReadLengthH, int maxReferenceLengthH, typename HCellType , typename Atype , typename Btype , typename QualityType , typename readIndexType , typename referenceIndexType >

int SmithWaterman< maxReadLengthH, maxReferenceLengthH, HCellType, Atype, Btype, QualityType, readIndexType, referenceIndexType >::weight::insert

Definition at line 151 of file SmithWaterman.h.

## match

template<int maxReadLengthH, int maxReferenceLengthH, typename HCellType , typename Atype , typename Btype , typename QualityType , typename readIndexType , typename referenceIndexType >

int SmithWaterman< maxReadLengthH, maxReferenceLengthH, HCellType, Atype, Btype, QualityType, readIndexType, referenceIndexType >::weight::match

Definition at line 149 of file SmithWaterman.h.

## misMatch

template<int maxReadLengthH, int maxReferenceLengthH, typename HCellType , typename Atype , typename Btype , typename QualityType , typename readIndexType , typename referenceIndexType >

int SmithWaterman< maxReadLengthH, maxReferenceLengthH, HCellType, Atype, Btype, QualityType, readIndexType, referenceIndexType >::weight::misMatch

Definition at line 150 of file SmithWaterman.h.

The documentation for this struct was generated from the following file:

- general/SmithWaterman.h